Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 83791 - massive leaks
Summary: massive leaks
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: gnome-vfs2
Version: 9
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Brian Stein
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks: 79578
TreeView+ depends on / blocked
 
Reported: 2003-02-08 19:19 UTC by Brian Stein
Modified: 2013-03-01 05:14 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2003-07-28 21:53:03 UTC


Attachments (Terms of Use)
proposed partial fix (deleted)
2003-02-08 19:20 UTC, Arjan van de Ven
no flags Details | Diff

Description Arjan van de Ven 2003-02-08 19:19:42 UTC
gnome-vfs2 2.2.0-7 leaks a LOT of memory;
partial proposed patch attached but it doesn't fix all leaks

Comment 1 Arjan van de Ven 2003-02-08 19:20:41 UTC
Created attachment 89947 [details]
proposed partial fix

Comment 2 Stephen John Smoogen 2003-02-09 00:20:35 UTC
To add more information... I logged in last night at 5pm. 24 hours laters I have
almost run out of swap space. The gnome-panel leaks about 4 bytes every 2
seconds although there are periods where it begins to eat 20-40 bytes in those 2
seconds.

Comment 3 Kjartan Maraas 2003-02-09 10:35:56 UTC
There are also leaks when autohiding the panel and it seems that explicit hide
also leaks memory. At least when using a transparent panel. I think some of
these are filed upstream too.

Comment 4 Alexander Larsson 2003-02-12 15:18:40 UTC
i think this is fixed in 2.2.2-1.



Comment 5 Arjan van de Ven 2003-02-12 15:20:23 UTC
works for me.

Comment 6 Bill Nottingham 2003-07-28 21:53:03 UTC
Closing some bugs that have been in MODIFIED for a while. Please reopen if the
problem persists.


Note You need to log in before you can comment on or make changes to this bug.